function[A,dx,dy]=construct_dictionary(Theta,Phi,N1,N2)
K=length(Theta);
t1=1/2.*[0:N1-1]';
t2=1/2.*[0:N2-1]';
for i=1:K
    f1(i)=sind(Theta(i))*cosd(Phi(i));
    f2(i)=sind(Theta(i))*sind(Phi(i));
end
A=zeros(N1*N2,K);
for i=1:K
    A(:,i)=vec(exp(2i*pi*f1(i)*t1)*exp(2i*pi*f2(i)*t2'));
    dx(:,i)=exp(2i*pi*f1(i)*t1);
    dy(:,i)=exp(2i*pi*f2(i)*t2');
end


end

function [x_out]=vec(x)
x_out=x(:);
end