% [-1,1]
% rmse VS snr



clc
clear all
close all
snr=0:5:20;
L=200;
test_num=500;
flag=test_num.*zeros(length(snr),1);
K=2;
Ave_Runningtime=zeros(length(snr),length(K));
flag=zeros(length(snr),1);
doa1=[10,40];      %theta  fuyangjiao
doa2=[30,-120,];      %phi     fangweijiao
ERROR_ORI=zeros(test_num*4,length(snr));
ERROR_DIC=zeros(test_num*4,length(snr));
dl_runningtime=zeros(length(snr),test_num);
Scatter=zeros(test_num,4);
for s=3:length(snr)
    SNR=snr(s);
    Error_ori=zeros(test_num,length(doa1)*2);
    Error_diclearning=zeros(test_num,length(doa1)*2);
    for itest=1:test_num
        %         doa1=[10,40];      %theta  fuyangjiao
        %         doa2=[30,-120,];      %phi     fangweijiao
        itest
        s
        N1= 6; %nr of samples per dimension
        t1= (1:N1)'.*0.5;
        N2=6;
        t2=(1:N2)'.*0.5;
        M = 10; % Number of bands per dimension
        Q = 10; % zooming resource per active band
        Mt = M*Q; % Number of intervals for finer grid
        Qblock=Q;
        %% banded dictionary
        fBlock = linspace(-0.999,0.999,M+1);
        A1 = zeros(N1,M);
        A2 = zeros(N2,M);
        for iM=1:M
            a = 1./(2i*pi*t1).*(exp(2i*pi*t1*(fBlock(iM+1)))-...     %sin(theta)cos(phi)
                exp(2i*pi*t1*(fBlock(iM))));
            A1(:,iM) =a/norm(a);
        end
        for iM=1:M
            a = 1./(2i*pi*t2).*(exp(2i*pi*t2*(fBlock(iM+1)))-...     %sin(theta)sin(phi)
                exp(2i*pi*t2*(fBlock(iM))));
            A2(:,iM) =a/norm(a);
        end
        
        Aband = kron(A2,A1);
        
        %% construct signal and add noise
        
        K=length(doa1);
        uncer1=roundn(random('unif',-1,1,1,K),-2);
        uncer2=roundn(random('unif',-1,1,1,K),-2);
        doa1=doa1+uncer1;
        doa2=doa2+uncer2;
        f1=zeros(1,K);
        f2=zeros(1,K);
        for i=1:K
            f1(i)=sind(doa1(i))*cosd(doa2(i));
            f2(i)=sind(doa1(i))*sind(doa2(i));
        end
        S = (randn(K,L)+1i*randn(K,L))/sqrt(2);
        S = diag(sqrt(10.^(SNR/10)./diag(1/L*(S*S'))))*S;
        A=zeros(N1*N2,K);
        for i=1:K
            A(:,i)=vec(exp(2i*pi*f1(i)*t1)*exp(2i*pi*f2(i)*t2'));
        end
        y=zeros(N1*N2,L);
        for i=1:K
            y=y+A(:,i)*S(i,:);
        end
        yorg = y;
        noise = 1/sqrt(2)*(randn(N1*N2,L)+1i*randn(N1*N2,L));
        Y = yorg+noise;
        
        %% Constrct SPICE-like wideband dictionary and estimate noise power
        D_noise=1./sqrt(N1*N2).*ones(N1*N2,1);
        D_spice=[Aband,D_noise];
        X_est=inv(D_spice'*D_spice+eye(size(D_spice,2)))*D_spice'*Y;
        if L==1
            Power_est=diag(X_est*X_est');
            noise_powerest=Power_est(end);
            Xest = reshape(X_est(1:end-1),length(fBlock)-1,length(fBlock)-1);
        else
            for i=1:size(X_est,1)
                xest(i)=norm(X_est(i,:));
            end
            Power_est=diag(xest'*xest);
            noise_powerest=Power_est(end);
            Xest = reshape(xest(1:end-1),length(fBlock)-1,length(fBlock)-1);
            X_est=vec(Xest);
        end
        
        yplot=linspace(-0.999,0.999,M);
        xplot=linspace(-0.999,0.999,M);
%         figure
%         surf(xplot,yplot,abs(Xest./norm(Xest)));
%         %  shading interp;
%         hold on;
%         scatter3(f2, f1, [1; 1], 'r','filled'); %actual freqs
%         view([0,90]);
%         xlabel('sin\theta sin\phi')
%         ylabel('sin\theta cos\phi');
%         set(gca, 'FontSize',20);
%         grid on;
%         box on
%         figure
%         surf(xplot,yplot,abs(Xest./norm(Xest)));
%         %  shading interp;
%         hold on;
%         scatter3(f2, f1, [1; 1], 'r','filled'); %actual freqs
%         xlabel('sin\theta sin\phi')
%         ylabel('sin\theta cos\phi');
%         set(gca, 'FontSize',20);
%         grid on;
%         box on
        
        %                                                 view([0,90]);
        power_est=X_est.*conj(X_est);
        flag(s)=length(find(Power_est>noise_powerest));
        
        X_esttemp=X_est;
        X_esttemp(find(Power_est<noise_powerest))=0;
        Xesttemp=reshape(X_esttemp,Q,Q);
%         figure
%         surf(xplot,yplot,abs(Xesttemp./norm(Xesttemp)));
%         %  shading interp;
%         hold on;
%         scatter3(f2, f1, [1; 1], 'r','filled'); %actual freqs
%         view([0,90]);
%         xlabel('sin\theta sin\phi')
%         ylabel('sin\theta cos\phi');
%         set(gca, 'FontSize',20);
%         grid on;
%         box on
        
        if flag(s)<30
            threshold = noise_powerest;
            tic;
            
            [x_zoom] = zoom_step_2Dtest1(X_est(1:end-1), threshold, Qblock, M, N1,N2, t1,t2, y, 0.25,fBlock,fBlock);
            runningtime(s,itest)=toc;
            
            fBlock1 = linspace(-0.999,.999,Q*Q+1);
            fBlock2=linspace(-0.999,.999,Q*Q+1);
            half_bin2 = (fBlock2(2)-fBlock2(1))/2;
            half_bin1 = half_bin2;
            fBlock1 = fBlock1(2:end) - half_bin1;
            fBlock2 = fBlock2(2:end) - half_bin2;
            % %             %
            figure
            surf(fBlock2,fBlock1,abs(x_zoom./norm(x_zoom)));
            % shading interp;
            hold on;
            scatter3(f2, f1, [1; 1], 'r','filled'); %actual freqs
            
            xlabel('sin\theta sin\phi')
            ylabel('sin\theta cos\phi');
            set(gca, 'FontSize',20);
            grid on;
            box on
            
            %
            xx_temp=x_zoom;
            AB = zeros(K,2);
            Theta_est=zeros(1,K);
            Phi_est=zeros(1,K);
            for kk = 1:K
                x=0;
                y=0;
                if max(max(xx_temp))~=0
                    Flag=1;
                    [x,y] = find(xx_temp==max(max(xx_temp)));
                    AB(kk,:)=[x,y];
                    xx_temp(AB(kk,1),AB(kk,2)) = 0;
                    f1_est(kk)=[fBlock1(AB(kk,1))];
                    f2_est(kk)=[fBlock2(AB(kk,2))];
                    Phi_est(kk)=atand(f2_est(kk)/f1_est(kk));
                    if f2_est(kk)<0&&Phi_est(kk)>0
                        Phi_est(kk)=Phi_est(kk)-180;
                    end
                    Theta_est(kk)=asind(f1_est(kk)./cosd(Phi_est(kk)));
                else Error(itest,:)=-1;
                    Flag=0;
                end
            end
            for i=1:K
                if Theta_est(i)<0
                    Theta_est(i)=-1.*Theta_est(i);
                    Phi_est(i)=acosd(f1_est(i)/sind(Theta_est(i)));
                end
            end
            
            
            
            if Flag==1
                doa_est=[Theta_est;Phi_est];
                [value,ind]=sort(Theta_est,'ascend');
                Theta_est=value;
                Phiest_temp=Phi_est;
                Phiest_temp=Phi_est(ind);
                Error_ori(itest,:)=[sort(Theta_est,'ascend')-doa1,Phiest_temp-doa2];
                if s==3
                    Scatter_IWBD(itest,:)=[Theta_est,Phiest_temp];
                end
            else Error(itest,:)=-1;
                Flag=0;
            end
            
            %% Dictionary learning part
            
            if Flag==1
                dl_tstart=tic;
                Theta_est=sort(Theta_est,'ascend');
                Phi_est=Phiest_temp;
                for i=1:K
                    f1(i)=sind(Theta_est(i))*cosd(Phi_est(i));
                    f2(i)=sind(Theta_est(i))*sind(Phi_est(i));
                end
                A=zeros(N1*N2,K);
                for i=1:K
                    A(:,i)=vec(exp(2i*pi*f1(i)*t1)*exp(2i*pi*f2(i)*t2'));
                    dx(:,i)=exp(2i*pi*f1(i)*t1);
                    dy(:,i)=exp(2i*pi*f2(i)*t2');
                end
                X=inv(A'*A)*A'*Y;
                [theta_est,phi_est,dic]=dictionary_learning(Y,A,Theta_est,Phi_est,N1,N2,dx,dy,X,doa1,doa2);
                if Flag==1 && s==1
                    doa_est=[theta_est;phi_est];
                    [value,ind]=sort(theta_est,'ascend');
                    thtea_est=value;
                    Phiest_temp=phi_est;
                    Phiest_temp=phi_est(ind);
                    Error_diclearning(itest,:)=[sort(theta_est,'ascend')-doa1,Phiest_temp-doa2];
                    dl_runningtime(s,itest)=toc;
                    
                elseif  Flag==1&& dic<1
                    doa_est=[theta_est;phi_est];
                    [value,ind]=sort(theta_est,'ascend');
                    thtea_est=value;
                    Phiest_temp=phi_est;
                    Phiest_temp=phi_est(ind);
                    Error_diclearning(itest,:)=[sort(theta_est,'ascend')-doa1,Phiest_temp-doa2];
                    dl_runningtime(s,itest)=toc;
                    if s==3
                        Scatter_proposed(itest,:)=[theta_est,Phiest_temp];
                    end
                else
                    Error_diclearning(itest,:)=-1;
                end
                
            else Error_ori(itest,:)=-1;
                Error_diclearning(itest,:)=-1;
            end
            
        end
    end
    Error_ori=vec(Error_ori);
    Error_ori(find(Error_ori==-1))=[];
    
    prob_ori(s)=length(Error_ori)/4/test_num;
    RMSE_ori(s)=sqrt(Error_ori'*Error_ori/ (length(Error_ori)));
    ERROR_ORI(1:length(Error_ori),s)=Error_ori;
    
    Error_diclearning=vec(Error_diclearning);
    Error_diclearning(find(Error_diclearning==-1))=[];
    RMSE_dic(s)=sqrt(Error_diclearning'*Error_diclearning/ (length(Error_diclearning)));
    ERROR_DIC(1:length(Error_diclearning),s)=Error_diclearning;
    prob_dic(s)=length(Error_diclearning)/4/test_num;
    ave_runningtime(s)=mean(runningtime(s,:));
    ave_dlrunningtime(s)=sum(dl_runningtime(s,:))/(prob_dic(s)*test_num)+mean(runningtime(s,:));
end
% ERROR_ORI(1:length(Error_ori),s)=Error_ori;
% ERROR_DIC(1:length(Error_diclearning),s)=Error_diclearning;
save scatter_proposed_IWBD_new  Scatter_IWBD Scatter_proposed
save snr_RMSE_DIC_NODIC_sensor6_workspace_new
a=666;
load RCRB_snr_1
figure;
plot(snr,RMSE_ori,'b^-','LineWidth',2);
hold on
plot(snr,RMSE_dic,'r+-','LineWidth',2);
plot(snr,RCRB,'k^-','LineWidth',2);
xlabel('SNR/dB');
ylabel('RMSE/degree');
set(gca, 'YScale', 'log')
set(gca, 'FontSize',20);
grid on;
box on

figure;
plot(snr,prob_ori,'b^-','LineWidth',2);
hold on
plot(snr,prob_dic,'r+-','LineWidth',2);
xlabel('SNR/dB');
ylabel('probility');
%set(gca, 'YScale', 'log')
set(gca, 'FontSize',20);
grid on;
box on

a=666;
%     K_RMSE(:,k)=RMSE;
%     Ave_Runningtime(:,k)=ave_runningtime;
% end
% load RMSE_2D

% save rmse_runningtime_plot K_RMSE Ave_Runningtime
% sort(RMSE,'descend');
% figure
% plot(snr,RMSE,'b+-','LineWidth',2);
% % hold on
% % plot(snr,100.*RCRBa(2:6),'k^-','LineWidth',2);
% xlabel('SNR/dB')
% ylabel('RMSE');
% %                 ylim([0,max(x_value)]);
% set(gca, 'YScale', 'log')
% set(gca, 'FontSize',20);
% grid on;
% box on
%
%
% % save RMSE_2D snr RMSE runningtime
%
% snr=[0:5:20];
% load rmse_runningtime_plot
% figure
% for i=1:K
%     plot(snr,sort(Ave_Runningtime(:,i),'ascend'),'LineWidth',2);
%     hold on
%     legend('K=1','K=2','K=3','K=5','K=7')
%
% xlabel('SNR/dB')
% ylabel('RMSE/degree');
% set(gca, 'YScale', 'log')
% set(gca, 'FontSize',20);
% grid on;
% box on
% end
%
% K_RMSE(5,1)=1.4482;
% figure
% for i=1:K
%     if i==1
%     plot(snr,sort(K_RMSE(:,2),'descend'),'ro-','LineWidth',2);
%     hold on
%     elseif i==2
%       plot(snr,sort(K_RMSE(:,1),'descend'),'b+-','LineWidth',2);
%     elseif i==3
%         plot(snr,sort(K_RMSE(:,i),'descend'),'m^-','LineWidth',2);
%     elseif i==4
%         plot(snr,sort(K_RMSE(:,i),'descend'),'g<-','LineWidth',2);
%     else
%         plot(snr,sort(K_RMSE(:,i),'descend'),'k>-','LineWidth',2);
%     end
%     legend('K=1','K=2','K=3','K=5','K=7')
%
% xlabel('SNR/dB')
% ylabel('RMSE/degree');
% set(gca, 'YScale', 'log')
% set(gca, 'FontSize',20);
% grid on;
% box on
% end
%
% for i=1:5
%     RMSE(:,i)=sort(K_RMSE(:,i),'descend');
% end
%
% % Phi_est
% % Theta_est
% % doa1
% % doa2
% %
% a=666;

function x_out=vec(x)
x_out=x(:);
end